package jalview.io;

import java.io.*;
import java.net.*;

public class FileParse {

  public File   inFile;
  public int    fileSize;
  public int    noLines;

  protected String          type;
  protected BufferedReader dataIn;

  public FileParse() {}

  public FileParse(String fileStr, String type) throws MalformedURLException, IOException
  {

    this.type = type;

    if (type.equals("File")) {
      this.inFile = new File(fileStr);
      this.fileSize = (int)inFile.length();

      dataIn = new BufferedReader(new FileReader( fileStr ));

    } else if (type.equals("URL")) {
      URL url = new URL(fileStr);
      this.fileSize = 0;
      dataIn = new BufferedReader(new InputStreamReader( url.openStream() ));
    } else if(type.equals("Paste"))
    {
      dataIn = new BufferedReader(new StringReader(fileStr));
    }
  }

  public String nextLine() throws IOException {
    String next = dataIn.readLine();
    if (next != null) {
      noLines++;
    }
    return next;
  }

}
